	function parfix(e1,ie1,ie2,de,binb)
c     sets initial value of fixed mass normalization assuming the fixed
c     mass term is dominant
c
	dimension binb(1)
	external tfixed,resp,bmfunc
c
	tot=0.
	dattot=0.
	ello=e1
	do 1 i=ie1,ie2
	call fixlim(ello,de,ido)
	if (ido.eq.0) tot=tot+calct(ello,tfixed,resp,bmfunc)
	dattot=dattot+binb(i)
1		ello=ello+de
	if (tot.lt.1.e-20) goto 2
	parfix=dattot/tot
	return
c
2		parfix=1.e-10
	return
	end
